# membership subsidy

Members can get a discount on their membership for helping out


This policy is active as of the General Meeting, December 10th, 2022.

For any questions, please contact the committee.